import { Options } from "./helpers/makeApiRequest";
declare type ModelIdentifier = {
    /** The ID of the model version that you want to run. */
    version: string;
} | {
    /** The name of the model; e.g. `stability-ai/stable-diffusion` */
    model: string;
};
declare type PredictOptions = {
    /** The model's input as a JSON object. This differs for each model */
    input: Record<string, unknown>;
    /** A webhook that is called when the prediction has completed. */
    webhook?: string;
    /** Set to true to poll until the prediction is completed */
    poll?: boolean;
} & ModelIdentifier & Options;
export declare const predict: (options: PredictOptions) => Promise<import("./helpers/convertPrediction").PredictionStatusObject>;
export {};
