import { getModel } from "./getModel.js";
import { convertPrediction } from "./helpers/convertPrediction.js";
import { makeApiRequest } from "./helpers/makeApiRequest.js";
export const predict = async (options) => {
    const version = "version" in options ? options.version : (await getModel(options)).version;
    const response = await makeApiRequest(options, "POST", "predictions", {
        version: version,
        input: options.input,
        webhook: options.webhook,
    });
    const prediction = convertPrediction(options, response);
    return options.poll ? await prediction.poll() : prediction;
};
